import request from '@/router/axios';
//列表
export const getList = (current, size, params) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}
export const getDetail = (id) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/detail',
    method: 'get',
    params: {
      id
    }
  })
}
//新增
export const add = (row) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/save',
    method: 'post',
    data: row
  })
}
//删除
export const remove = (ids) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/remove',
    method: 'post',
    params: {
      ids,
    }
  })
}
//修改
export const update = (row) => {
  return request({
    url: '/api/iot-sim/simcarddeliver/update',
    method: 'post',
    data: row
  })
}

//租户下拉
export const tenant = () => {
  return request({
    url: '/api/iot-system/tenant/fillData',
    method: 'get',
  })
}

//用户下拉
export const user = () => {
  return request({
    url: '/api/iot-system/user/fillData',
    method: 'get',
  })
}
//导出类型
export const exporttype = () => {
  return request({
    url: '/api/iot-system/dict/dictionary?code=exportType',
    method: 'get',
  })
}
//同步实名
export const syncRealNameStatus = (id) => {
  return request({
    url: '/api/iot-sim/sim/syncRealNameStatus',
    method: 'get',
    params: {
      id
    }
  })
}

//停机复机
export const updateSimStatus = (row) => {
  return request({
    url: '/api/iot-sim/sim/updateSimStatus',
    method: 'post',
    params: {
      ...row
    }
  })
}
//设置阈值
export const updateThreshold = (row) => {
  return request({
    url: '/api/iot-sim/sim/updateThreshold',
    method: 'post',
    params: {
      ...row
    }
  })
}
//基础套餐
export const dataplan = (dataPlanGroupId) => {
  return request({
    url: '/api/iot-sim/dataplan/fillData?isSource=' + 2 + "&dataPlanGroupId=" + dataPlanGroupId,
    method: 'get',

  })
}
