import request from '@/router/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/api/iot/product/page',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    }
  })
}

export const getDetail = (id) => {
  return request({
    url: '/api/iot/product/detail',
    method: 'get',
    params: {
      id
    }
  })
}

export const remove = (id) => {
  return request({
    url: '/api/iot/product/remove',
    method: 'post',
    params: {
      id,
    }
  })
}

export const add = (row) => {
  return request({
    url: '/api/iot/product/save',
    method: 'post',
    data: row
  })
}

export const update = (row) => {
  return request({
    url: '/api/iot/product/update',
    method: 'post',
    data: row
  })
}

export const getProductTree = (tenantId) => {
  return request({
    url: '/api/iot/product/select',
    method: 'get',
    params: {
      tenantId,
    }
  })
}

/**
 * 获取产品对应的服务订阅
 * @param id
 */
export const getServerSubscribeList = (id) => request({
  url: '/api/iot/product/subscribe',
  params: {
    id,
  },
});
